| Name | Type | Description |
|---|---|---|
apps | array | Name of third-party apps where mailboxes should be exported. To export as a CSV file, use ["MANUAL"]. |
ids (Optional) | array | IDs of mailboxes to export. |
excludeIds (Optional) | array | IDs of mailboxes that should not be exported. |
tagIds (Optional) | array | Tag IDs of domains. |
contains (Optional) | string | Search filter for mailboxes matching specific criteria. |
status (Optional) | string | Specify the status of mailboxes to export. |
{
"apps": ["MANUAL"],
"ids": ["12345", "67890"],
"excludeIds": ["54321"],
"tagIds": ["tag1", "tag2"],
"contains": "example",
"status": "active"
}curl --location 'https://api.zapmail.ai/api/v1/exports/export-mailboxes' \
--header 'x-auth-zapmail: ' \
--header 'Content-Type: application/json' \
--data '{
"apps": [
"REACHINBOX"
],
"ids": [
"a66ccca7-d465-464a-887b-90bce6d09bbb"
],
"excludeIds": [],
"tagIds": [],
"status": "",
"contains": ""
}'{
"status": 200,
"message": "Mailboxes export is started. It may take sometime to export",
"data": null
}